Subject: Re: cygwin snap 20030223 hangs with bleadperl
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 4 Mar 2003 22:54:01 -0500

On Tue, Mar 04, 2003 at 10:23:14AM -0500, Igor Pechtchanski wrote:
>On Tue, 4 Mar 2003, H.Merijn Brand wrote:
>
>> On Tue 04 Mar 2003 06:01, Christopher Faylor <[email-masked]> wrote:
>> > On Wed, Feb 26, 2003@03:20:02PM +0100, H.Merijn Brand wrote:
>> > >On Tue 25 Feb 2003 14:15, "H.Merijn Brand" <[email-masked]> wrote:
>> > >> ../ext/IO/lib/IO/t/io_udp..............ok
>> > >> ../ext/IO/lib/IO/t/io_unix.............ok 1/5
>> > >>
>> > >> 20030220 still OK
>> > >
>> > >20030225 also hangs
>> > >
>> > >(Note that I'm still not on the list)
>> >
>> > Is it better now?
>> >
>> > cgf
>>
>> Yep.
>>
>> CYGWIN_NT-5.0 PC09 1.3.21s(0.77/3/2) 20030302 23:00:55 i686 unknown unknown Cygwin
>>
>> Completed the smoke. I was discussing a longstanding Cygwin issue yesterday
>> with some other smokers and we all agreed that there is still a glitch in
>> cygwin that /we/ think cygwin is to blame for.
>>
>> Running the complete test from the prompt completes without error, but when
>> started from a script in the background, there are still messages that get a
>> <CR> added and unexpectedly yield <CR><NL> instead of plain <NL>, causing
>> these tests to fail: Expected Foo<NL>, got Foo<CR><NL>
>>
>> $CYGWIN is "tty ntsec binary"
>                        ^^^^^^
>Umm, there is no such setting in the CYGWIN environment variable.  Perhaps
>you meant to say "binmode"?
><http://cygwin.com/cygwin-ug-net/using-cygwinenv.html>

Shouldn't matter binmode is the default.  I suspect that there is a non-cygwin
application lurking in the mix somewhere?

If it's a perl script, then maybe something is explcitly setting binmode(0).

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/